Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface Extent<T>

All Superinterfaces:
  Iterable<T>

All Known Implementing Classes:
  ExtentImpl

    public interface Extent<T>

extends Iterable<T>

An extent is a logical view of all instances of a class.

Since:
  0.4.0
Author:
  Abe White

Method Summary
`void` | `closeAll()` Close all open iterators that are consuming database resources.
`Extent` | `getDelegate()` Deprecated. cast to `ExtentImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`Class<T>` | `getElementClass()` The extent's element type.
`OpenJPAEntityManager` | `getEntityManager()` The owning entity manager.
`FetchPlan` | `getFetchPlan()` Fetch configuration for controlling how iterated objects are loaded.
`boolean` | `getIgnoreChanges()` Whether the extent sees inserts and deletes in the current transaction.
`boolean` | `hasSubclasses()` Whether the extent includes subclasses.
`List<T>` | `list()` List the extent contents.
`void` | `setIgnoreChanges(boolean ignoreChanges)` Whether the extent sees inserts and deletes in the current transaction.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getElementClass

    Class<T> getElementClass()

  The extent's element type.

### hasSubclasses

    boolean hasSubclasses()

  Whether the extent includes subclasses.

### getEntityManager

    OpenJPAEntityManager getEntityManager()

  The owning entity manager.

### getFetchPlan

    FetchPlan getFetchPlan()

  Fetch configuration for controlling how iterated objects are loaded.

### getIgnoreChanges

    boolean getIgnoreChanges()

  Whether the extent sees inserts and deletes in the current transaction.

### setIgnoreChanges

    void setIgnoreChanges(boolean ignoreChanges)

  Whether the extent sees inserts and deletes in the current transaction.

### list

    List<T> list()

  List the extent contents.

### closeAll

    void closeAll()

  Close all open iterators that are consuming database resources.

### getDelegate

    Extent getDelegate()

  Deprecated. cast to `ExtentImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.